[arch-commits] Commit in python-future/repos (2 files)

Felix Yan felixonmars at archlinux.org
Mon Nov 9 15:52:10 UTC 2020


    Date: Monday, November 9, 2020 @ 15:52:10
  Author: felixonmars
Revision: 747199

archrelease: copy trunk to community-staging-any

Added:
  python-future/repos/community-staging-any/
  python-future/repos/community-staging-any/PKGBUILD
    (from rev 747197, python-future/trunk/PKGBUILD)

----------+
 PKGBUILD |   38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

Copied: python-future/repos/community-staging-any/PKGBUILD (from rev 747197, python-future/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2020-11-09 15:52:10 UTC (rev 747199)
@@ -0,0 +1,38 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Christopher Arndt <aur -at- chrisarndt -dot- de>
+# Contributor: Gaute Hope <eg at gaute.vetsj.com>
+# Contributor: Melissa Padilla <mpadilla2 at hotmail dot com>
+
+pkgname=python-future
+pkgver=0.18.2
+pkgrel=4
+pkgdesc="Clean single-source support for Python 3 and 2"
+url="https://python-future.org/"
+arch=('any')
+license=('MIT')
+depends=('python')
+provides=('futurize' 'pasteurize')
+checkdepends=('python-requests')
+makedepends=('python-setuptools')
+optdepends=('python-setuptools: futurize and pasteurize scripts')
+options=('!emptydirs')
+source=("https://pypi.io/packages/source/f/future/future-$pkgver.tar.gz")
+sha512sums=('91c025f7d94bcdf93df838fab67053165a414fc84e8496f92ecbb910dd55f6b6af5e360bbd051444066880c5a6877e75157bd95e150ead46e5c605930dfc50f2')
+
+build() {
+  cd "$srcdir"/future-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd "$srcdir"/future-$pkgver
+#PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python setup.py test || warning "Tests failed"
+}
+
+package() {
+  cd future-$pkgver
+
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}



More information about the arch-commits mailing list